Skip to main content
POST
/
v3
/
bundles
Create a bundle
curl --request POST \
  --url https://api.myscalev.com/v3/bundles \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "bundle_price_options": [
    {
      "name": "<string>",
      "price": 123,
      "slug": "<string>"
    }
  ],
  "bundlelines": [
    {
      "quantity": 123,
      "variant_id": 123
    }
  ],
  "custom_id": "<string>",
  "description": "<string>",
  "images": [
    "<string>"
  ],
  "meta_thumbnail": "<string>",
  "public_name": "<string>",
  "rich_description": "<string>",
  "weight_bump": 123
}
'
{
  "bundle_price_options": [
    {
      "form_displays": [
        {
          "id": 123,
          "page_display": {
            "id": 123,
            "page": {
              "id": 123,
              "is_published": true,
              "name": "<string>",
              "published_at": "2023-11-07T05:31:56Z",
              "slug": "<string>",
              "store_id": 123,
              "unique_id": "<string>"
            }
          }
        }
      ],
      "id": 123,
      "name": "<string>",
      "price": 123,
      "price_bt": 123,
      "slug": "<string>",
      "stores": [
        {
          "custom_domain": {
            "full_url": "<string>",
            "id": 123,
            "is_verified": true
          },
          "id": 123,
          "name": "<string>"
        }
      ],
      "unique_id": "<string>",
      "upsell_form_displays": [
        {
          "id": 123,
          "page_display": {
            "id": 123,
            "page": {
              "id": 123,
              "is_published": true,
              "name": "<string>",
              "published_at": "2023-11-07T05:31:56Z",
              "slug": "<string>",
              "store_id": 123,
              "unique_id": "<string>"
            }
          }
        }
      ]
    }
  ],
  "bundlelines": [
    {
      "id": 123,
      "quantity": 123,
      "subtotal": "<string>",
      "variant": {
        "cogs": 123,
        "price_bt": 123,
        "validity_period_unit": "day",
        "display": "<string>",
        "option1_value": "<string>",
        "image_configs": {},
        "reseller_price_bt": 123,
        "option2_value": "<string>",
        "reseller_price": 123,
        "fullname": "<string>",
        "validity_period": 123,
        "uuid": "<string>",
        "sku": "<string>",
        "digital_product_files": [
          {
            "content_type": "<string>",
            "id": 123,
            "name": "<string>",
            "size_in_bytes": 123,
            "url": "<string>"
          }
        ],
        "product_name": "<string>",
        "item_type": "physical",
        "pricing_type": "one_time",
        "self_file_urls": [
          "<string>"
        ],
        "name": "<string>",
        "id": 123,
        "unique_id": "<string>",
        "cogs_bt": 123,
        "currency": "IDR",
        "price": 123,
        "images": [
          "<string>"
        ],
        "weight": 123,
        "is_checked": true,
        "interval_count": 123,
        "last_updated_at": "2023-11-07T05:31:56Z",
        "option3_value": "<string>",
        "interval": "day",
        "metadata": {},
        "product": {
          "business": {
            "account_holder": "<string>",
            "email": "jsmith@example.com",
            "id": 123,
            "is_banned": true,
            "logo": "<string>",
            "unique_id": "<string>",
            "username": "<string>"
          },
          "description": "<string>",
          "display": "<string>",
          "id": 123,
          "is_inventory": true,
          "is_multiple": true,
          "is_product_sharing": true,
          "item_type": "physical",
          "item_type_name": "<string>",
          "name": "<string>",
          "option1_name": "<string>",
          "option2_name": "<string>",
          "option3_name": "<string>",
          "uuid": "<string>"
        },
        "created_at": "2023-11-07T05:31:56Z",
        "is_editable": true
      }
    }
  ],
  "business": {
    "account_holder": "<string>",
    "email": "jsmith@example.com",
    "id": 123,
    "is_banned": true,
    "logo": "<string>",
    "unique_id": "<string>",
    "username": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": {
    "aff_code": "<string>",
    "avatar": "<string>",
    "email": "jsmith@example.com",
    "fullname": "<string>",
    "id": 123,
    "phone": "<string>"
  },
  "custom_id": "<string>",
  "description": "<string>",
  "id": 123,
  "images": [
    "<string>"
  ],
  "is_bundle_sharing": true,
  "labels": [
    {
      "name": "<string>"
    }
  ],
  "last_updated_at": "2023-11-07T05:31:56Z",
  "last_updated_by": {
    "aff_code": "<string>",
    "avatar": "<string>",
    "email": "jsmith@example.com",
    "fullname": "<string>",
    "id": 123,
    "phone": "<string>"
  },
  "meta_thumbnail": "<string>",
  "name": "<string>",
  "public_name": "<string>",
  "rich_description": "<string>",
  "weight_bump": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Bundle data to create

name
string
required

Name

bundle_price_options
BundlePriceOptionRequest · object[]

List of Bundle Price Options

bundlelines
BundleLineCreateRequest · object[]

List of Bundle Lines

custom_id
string

Custom Identifier

description
string

Description

images
string<uri>[]

List of Image URLs

meta_thumbnail
string<uri>

Meta Thumbnail URL

public_name
string

Public Name

rich_description
string

Rich Description

weight_bump
integer

Weight Bump

Response

Bundle created successfully

bundle_price_options
BundlePriceOptionForBundle · object[]

List of Bundle Price Options

bundlelines
BundleLine · object[]

List of Bundle Lines with Product details

business
BusinessSimple · object
created_at
string<date-time>

Creation timestamp

created_by
UserSimple · object
custom_id
string

Custom Identifier

description
string

Description

id
integer

Bundle ID

images
string<uri>[]

List of Image URLs

is_bundle_sharing
boolean

Is Bundle Sharing Enabled

labels
ItemLabel · object[]

List of labels associated with the product

last_updated_at
string<date-time>

Last update timestamp

last_updated_by
UserSimple · object
meta_thumbnail
string<uri>

Meta Thumbnail URL

name
string

Name

public_name
string

Public Name

rich_description
string

Rich Description

weight_bump
integer

Weight Bump